Title: null
Alternate Titles: null
Library: arcade
Series: null
Developer: null
Publisher: null
Play Mode: Single Player
Release Date: null
Version: null
Languages: en
Extreme: null
Tags: null
Source: http://www.theimpossiblequiz.net/impossiblequiz2.swf
Platform: Flash
Status: Playable
Application Path: FPSoftware\Flash\flashplayer_32_sa.exe
Launch Command: http://www.theimpossiblequiz.net/impossiblequiz2.swf
Game Notes: null
Original Description: null
Additional Applications: {}
